Name:           gooddata-cl
Version:        1.2.56
Release:        2%{dist}
Summary:        GoodData integration toolkit

Group:          Applications/Internet
License:        BSD
URL:            http://developer.gooddata.com/gooddata-cl/
# The repository contains possibly non-free jars
# git clone http://github.com/gooddata/GoodData-CL.git
# cd GoodData-CL
# mkdir gooddata-cl-1.2.56
# git --work-tree=gooddata-cl-1.2.56 checkout -f 1.2.56
# find gooddata-cl-1.2.56 -name '*.jar' -delete
# tar czf gooddata-cl-1.2.56.tar.gz gooddata-cl-1.2.56
Source0:        gooddata-cl-%{version}.tar.gz
Source1:        gooddata-cl.conf
Patch1:         0001-Drag-in-packages-we-ship-split.patch
Patch2:         0002-No-separate-commons-httpclient-for-signpost.patch
Patch4:         0004-Disable-modules-we-can-t-build-due-missing-closed-de.patch
Patch5:         0005-Sanitize-logging-defaults.patch
Patch6:         0006-Do-not-hardwire-classpath-in-CLI.patch

Patch7:         0001-Avoid-using-proprietary-Sun-API.patch
Patch8:         0002-Remove-FTP-support-it-should-not-be-used.patch

Requires:       apache-commons-beanutils
Requires:       apache-commons-cli
Requires:       apache-commons-codec
Requires:       apache-commons-collections
Requires:       apache-commons-discovery
Requires:       apache-commons-io
Requires:       apache-commons-jexl
Requires:       apache-commons-lang
Requires:       apache-commons-logging
Requires:       jakarta-commons-net
Requires:       axis
Requires:       derby
Requires:       dom4j
Requires:       ezmorph
Requires:       gdata-java
Requires:       httpcomponents-client
Requires:       httpcomponents-core
Requires:       icu4j
Requires:       jackrabbit-webdav
Requires:       jakarta-commons-httpclient
Requires:       javassist
Requires:       jaxen
Requires:       jdom
Requires:       joda-time
Requires:       json-lib
Requires:       json_simple
Requires:       junit
Requires:       logback
Requires:       mysql-connector-java
Requires:       opencsv
Requires:       signpost-core
Requires:       slf4j
Requires:       xpp3
Requires:       xstream

BuildRequires:  maven
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-war-plugin
BuildRequires:  javacc-maven-plugin

BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-discovery
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-jexl
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-net
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  axis
BuildRequires:  derby
BuildRequires:  dom4j
BuildRequires:  ezmorph
BuildRequires:  gdata-java
BuildRequires:  httpcomponents-client
BuildRequires:  httpcomponents-core
BuildRequires:  icu4j
BuildRequires:  jackrabbit-webdav
BuildRequires:  javassist
BuildRequires:  jaxen
BuildRequires:  jdom
BuildRequires:  joda-time
BuildRequires:  json-lib
BuildRequires:  json_simple
BuildRequires:  junit
BuildRequires:  logback
BuildRequires:  mysql-connector-java
BuildRequires:  opencsv
BuildRequires:  signpost-core
BuildRequires:  slf4j
BuildRequires:  xpp3
BuildRequires:  xstream

BuildArch:      noarch

Provides:       gooddata-cli = %{version}-%{release}

%description
This is GoodData data integration toolkit. The toolkit contains data
modeling, transformation and loading utilities that work on top of the
GoodData REST APIs.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%patch7 -p1
%patch8 -p1

%build
# These don't ship with POMs yet.
mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=net.sf.opencsv \
        -DartifactId=opencsv -Dversion=2.1 -Dfile=$(build-classpath opencsv)

mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=com.google.gdata \
        -DartifactId=gdata-java-core -Dversion=1.40.0 -Dfile=$(build-classpath gdata/gdata-core)
mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=com.google.gdata \
        -DartifactId=gdata-java-client -Dversion=1.40.0 -Dfile=$(build-classpath gdata/gdata-client)
mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=com.google.gdata \
        -DartifactId=gdata-java-analytics -Dversion=1.40.0 -Dfile=$(build-classpath gdata/gdata-analytics)

mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=org.apache.axis \
        -DartifactId=axis -Dversion=1.4 -Dfile=$(build-classpath axis/axis)
mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=org.apache.axis \
        -DartifactId=axis-jaxrpc -Dversion=1.4 -Dfile=$(build-classpath axis/jaxrpc)
mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=org.apache.axis \
        -DartifactId=axis-saaj -Dversion=1.4 -Dfile=$(build-classpath axis/saaj)

mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=oauth.signpost \
        -DartifactId=signpost-core -Dversion=1.2 -Dfile=$(build-classpath signpost-core)

mvn-rpmbuild install:install-file -Dpackaging=jar -DgroupId=com.googlecode.json-simple \
        -DartifactId=json-simple -Dversion=1.1 -Dfile=$(build-classpath json_simple)

mvn-rpmbuild -Dmaven.test.skip=true install


%install
rm -rf $RPM_BUILD_ROOT

# Directory tree
install -d $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}

# Code
for i in backend cli common connector
do
        
        install -pm644 $i/target/gooddata-cl-$i-*.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{name}/$i.jar
done

install -pm644 common/src/main/resources/log4j.configuration \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

# Configuration
install -pm644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gooddata-cl.conf

# Launcher
%jpackage_script com.gooddata.processor.GdcDI '' '' xpp3:slf4j/api:axis/saaj:axis/jaxrpc:json_simple:gdata:joda-time:slf4j/log4j-over-slf4j:commons-beanutils:commons-lang:commons-jexl:commons-io:jaxen:axis:httpcomponents/httpcore:dom4j:jackrabbit-webdav:junit:httpcomponents/httpclient:mysql-connector-java:opencsv:commons-collections:signpost-core:javassist:json-lib:commons-cli:commons-logging:commons-discovery:commons-codec:commons-net:logback/logback-classic:icu4j:xstream:logback/logback-core:derby:ezmorph:jdom:commons-httpclient:gooddata-cl gooddata-cli false


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_javadir}/%{name}
%doc README* LICENSE.TXT


%changelog
* Thu Aug 16 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.56-2
- Avoid using proprietary Sun API that's being removed

* Fri Aug 03 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.56-1
- Update to DLI version

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.9-1
- Bump to a later release

* Fri Nov 05 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.4-3
- Mark log4j configuration %%config
- Remove classpath from manifest

* Thu Nov 04 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.4-2
- Fix BuildRequires
- Correct the URL

* Mon Sep 20 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.4-1
- Rebase to a later version

* Mon Jun 28 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0-0.1.20100628git
- Update, rename to gooddata-cl

* Wed Jun 16 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.6-1.20100615git
- First cut at packaging, far from sane
